﻿/* --- Browser reset --- */
body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,html,pre,form,fieldset,input,textarea,p,blockquote,th,td{ margin:0; padding:0; }
fieldset,img { border: 0; }
address,caption,cite,code,dfn,em,th,var { font-style: normal; font-weight: normal; }
caption,th { text-align: left; }
article, aside, figcaption, figure, footer, header, hgroup, menu, nav, section { display: block; margin: 0; padding: 0; }

@font-face {
    font-family: 'OpenSans';
    src: url('../font/OpenSans-Regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Raleway';
    src: url('../font/Raleway-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'SourceSansPro';
    src: url('../font/SourceSansPro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'SourceSansProLight';
    src: url('../font/SourceSansPro-Light.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


::selection {
	color: #fff;
	background: #607D8B; /* WebKit/Blink Browsers */ }

::-moz-selection {
	color: #fff;
	background: #607D8B; /* Gecko Browsers */}

	 /** Flexbox **/

    .vbox, .hbox, .cbox, .endbox {
        display: -moz-box;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        /*-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;*/
    }

    .hbox {
        -moz-box-orient: horizontal;
        -webkit-box-orient: inline-axis;
        -webkit-box-orient: inline-axis;
        -ms-flex-direction: row;
        flex-direction: row;
        width: 100%;
    }

    .vbox {
        -moz-box-orient: block-axis;
        -webkit-box-orient: block-axis;
        -webkit-box-orient: block-axis;
        -ms-flex-direction: column;
        flex-direction: column;
        height: 100%;
    }

    .cbox {
        -moz-box-align: center;
        -moz-box-pack: center;
        -webkit-box-align: center;
        -webkit-box-pack: center;
        -webkit-align-items: center;
        -webkit-justify-content: center;
        -ms-flex-align: center;
        -ms-flex-pack: center;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .endbox {
        -moz-box-pack: end;
        -webkit-box-pack: end;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
        width: 100%;
    }

    .topbox {
        -moz-box-align: start;
        -webkit-box-align: start;
        -webkit-align-items: flex-start;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .startbox {
        -moz-box-pack: start;
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    .vcbox {
        -moz-box-align: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .flex-item {
        -moz-box-flex: 1;
        -webkit-box-flex: 1;
        -webkit-flex: 1 1 auto;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1px;
    }


    .flex-wrap {
        -moz-box-wrap: wrap;
        -webkit-box-wrap: wrap;
        -webkit-align-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }


    body {
	    font-family: "Raleway"; 
        font-size: 15px;
		line-height: 24px;
		color: #767676;
		display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
		-webkit-box-orient: block-axis;
        -ms-flex-direction: column;
        flex-direction: column;
		height: 100vh;
		overflow-x: hidden;
    }

    h1, h2, h3, h4, h5, h6 {
	    font-family: "Raleway";
	    font-weight: 600;
	    color: #443f3f; 
		}

    h1 { 
	    font-size: 30px;
	    line-height: 35px;
		margin-top: 20px;
	    margin-bottom: 20px; } 
	
    h2 {
	    font-size: 26px;	
	    line-height: 32px;
	    margin: 30px 0 10px; } 
	
    h3 { 
	    font-size: 20px;
	    margin: 25px 0 15px; } 

    h4 { 
	    font-size: 18px;
	    margin: 20px 0 10px; } 
	
    h5 { 
	    margin: 15px 0 10px;
	    font-size: 15px; } 

    a,a:visited,
	ctrl-link	{
	    color: #5490cc; }
	
	    a:hover, ctrl-link:hover {
		    color: #443f3f; 
		    text-decoration: none; 
			}
			
	ol, ul {
		margin: 5px 10px;
		padding-left: 20px; 
	}

        ul {
            list-style: disc;
        }
	
	/*ul {
		list-style: disc;
	}
	
		ul ul {
			list-style: circle;
		}*/
		
	.sidebar ol, .sidebar ul {
            list-style: none;
			margin:0;
        }

		li {
			padding: 2px 0;
			margin-bottom: 3px;
		}	
	/* Common */
	.transition-all,
	.sidebar,
	.sidebar ctrl-button {
		transition: all 0.25s ease-in-out 0s;
		-webkit-transition: all 0.25s ease-in-out 0s;
		-ms-transition: all 0.25s ease-in-out 0s;
	}
	
	/* Main */
    .wrapper {
	    max-width: 1280px;
	    margin: auto;
		width: 100%;
		-webkit-flex: 1 1 auto;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
    }		

    .page-header  {
	    background: url('../image/header.jpeg') no-repeat;
        min-height: 200px;
		background-position: 50% 50%;
		box-shadow: 0 0 0 200px rgba(0,0,0,0.7) inset;
		-webkit-box-shadow: 0 0 0 200px rgba(0,0,0,0.7) inset;
    }

		.page-header h1 {
			color: #fff;
			font-size: 24px;
			line-height: 60px; 
		}	
		
		.page-header .logo {
			height: 100px;
			line-height: 0;
			padding-top: 20px;
		}
		
		.logo img {
			max-width: 100%;
			max-height: 100%;
		}

.page-content p,
.page-content pre,
.page-content ul,
.page-content ol,
.page-content table {
    margin-top: 0;
    margin-bottom: 16px;
}

.page-nav {
    padding: 0 4px;
    box-sizing: border-box; -webkit-box-sizing: border-box;
	text-transform: uppercase;
	font-size: 14px;
	color: #3b3e43;
	border-bottom: 1px solid #cacaca;
}

	.page-nav .icon-menu {
		display: none;
	}

	.page-nav ctrl-link {
		padding: 10px;
		display: inline-block;
		color: #3b3e43;
	}

	.page-nav ctrl-link:hover,
	.page-nav ctrl-link.current	{
		box-shadow: 0 2px 0 #fcce39;
		-webkit-box-shadow: 0 2px 0 #fcce39;
		box-sizing: border-box;
	}
	
    .sub-nav {
        margin-bottom: 20px;
    }


    .sub-nav .action-item {
        display: inline-block;
        padding: 5px 10px;
        text-align: center;
        margin-right: 4px;
        text-decoration: none;
    }

    .sub-nav .action-item.selected {
        border-bottom: 2px solid #446198;
    }

    .sub-nav .action-item:hover {
        cursor: pointer;
        border-bottom: 2px solid #446198;
    }

	.content-wrapper {
		-webkit-flex: 1 1 auto;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
	}
	
    .page-tite {
        margin-top: 0;
    }

    .sidebar {
        max-width: 300px;
        min-width: 300px;
        padding: 15px 0 0 0;
		font-size: 15px;
    }

        .sidebar li {
            display: block;
            margin: 0;
			padding: 0;
			
        }

            .sidebar li ctrl-link {
                color: #3b3e43;
                cursor: pointer;
                display: block;
                line-height: 1.3em;
                text-decoration: none;
                padding: 7px 10px 7px 0.6rem;
                position: relative;
                transition: color 250ms ease-in-out 0s, background-color 250ms ease-in-out 0s;
                word-break: break-word;
				border-bottom: 1px solid #e3e3e3;
            }

            .sidebar ctrl-link:hover {
                background-color: rgba(227, 227, 227, 0.3);
            }

            .sidebar li ctrl-link.current {
                background-color: rgba(227, 227, 227, 0.5);
            }

            .sidebar ul ul {
				margin-top: 0;
                margin-left: 20px;
                padding: 0;
            }
			
		.sidebar ctrl-button {
			display: none;
		}	

pre {
    padding: 10px;
    margin: 10px 0;
    background: rgba(207, 212, 221, 0.4) none repeat scroll 0 0;
    box-sizing: border-box; -webkit-box-sizing: border-box;
    font-size: 13px;
    overflow: auto;
	max-width: 980px;
}

	pre .string {
		color: #3c7830;
	}

	pre .number {
		color: #ff8929;
	}

	pre .boolean {
		color: #336699;
	}

	pre .null {
		color: #582c6c;
	}

	pre .key {
		color: #2a1a60;
	}


code {
    background: rgba(207, 212, 221, 0.4) none repeat scroll 0 0;
    padding: 0 0.2em;
    border-radius: 3px;
}

pre > code {
    background: none;
	padding-left: 0;
	padding-right: 0;
}

figure {
	max-width: 500px;
	margin: auto;
	display: block;
}
figure .trigger-close {display: none;}

figcaption {
	text-align: center;
}

.image-wrap {
	display: block;
	margin: 10px 0;
	max-width: 500px;
	height: auto;
	cursor: pointer;
}
/*used for popup image*/
.figure-wrap {
	-webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
    box-shadow: 0 0 0 1250rem rgba(0,0,0,0.5), 0 0 30px rgba(0,0,0,0.55);
}

	.figure-wrap figure {
		max-width: 100vw;
		padding-top: 32px;
	}	

	.figure-wrap .image-wrap {
		margin: auto;
		display: block;
		max-width: inherit;
		cursor: default;
	}
	
	.figure-wrap figcaption {
		border-top: 2px solid #fcce39;
		line-height: 30px;
		position: absolute;
		top:0;
		left:0;
		width: 100%;
		color: #fff;
		background: #444;
		z-index:60;
	}
	
	.figure-wrap .trigger-close {
		position: absolute;
		display: block;
		top:0;
		right:0;
		cursor: pointer;
		color: rgba(255,255,255,0.2);
		font-size: 12px;
		line-height:1;
		padding:10px;
		z-index:61;
	}
	
	
.tab-wrap .btn-wrap {
	border-left: 1px solid #fcce39;
	border-right: 1px solid #fcce39;
	border-top: 1px solid #fcce39;
}	

	.tabs {
		margin: 0;
		padding: 0;
		list-style: none;
	}	



		.tabs li {
			display: inline-block;
			min-width: 80px;
			text-align: center;
			margin-bottom: 0;
			cursor: pointer;
			color: #443f3f;
			line-height: 30px;
		}
		
			.tabs li.current {
				border-bottom: 2px solid #fcce39;
			}
		
		.tab-wrap pre {
			border-bottom: 1px solid #fcce39;
			border-left: 1px solid #fcce39;
			border-right: 1px solid #fcce39;
			margin: 0;
			min-height: 100px;
		}


table {
    border-collapse: collapse;
    width: 100%;
    border: 1px solid rgba(0,0,0,0.1);
    table-layout: fixed;
}

    table th,
    table td {
        border: solid rgba(0,0,0,0.1);
        padding: 0.3rem 0.5rem;
    }

    table th {
        border-width: 0 1px 2px 0;
        text-align: left;
        font-weight: bold;
    }

    table td {
        border-width: 0 1px 1px 0;
    }


@-webkit-keyframes zoom {
    from {opacity: 0}
    to {opacity: 1}
}

@keyframes zoom {
    from {opacity: 0}
    to {opacity: 1}
}




footer {
	background: #1c1c1c;
	color: #666;
	font-size: 13px;
	padding: 15px 0;
	margin-top: 30px;
}

	footer a {
		color: #666;
		text-decoration: none;
	}
	
	
@media screen and (max-width: 1920px) {
	.page-header {
		background-size: cover;
	}
}

@media screen and (max-width: 1280px) {
	.wrapper {
		padding: 0 10px;
		box-sizing: border-box;
		-webkit-box-sizing: border-box;
	}
}

@media screen and (max-width: 800px) {
	.page-nav {
		position: relative;
		min-height: 45px;
		z-index: 1;
	}
	
		.page-nav nav {
			position: absolute;
			width: 320px;
			background: #fff;
			padding-left: 30px;
			padding-right: 15px;
			box-sizing: border-box;
		}
		
		.page-nav.toggle nav {
			border: 1px solid #ccc;
			box-shadow: 0 0 20px rgba(0,0,0,0.15);
			-webkit-box-shadow: 0 0 20px rgba(0,0,0,0.15);
		}
		
		.page-nav .icon-menu {
			display: block;
		}
		
		.page-nav ctrl-link {
			display: block;
			visibility: hidden;
			opacity: 0;
			height: 0;
			padding: 0;
			-webkit-transition: all 0.15s ease 0s;
			transition: all 0.15s ease 0s;
		}
		
		.page-nav ctrl-link.current {
			display: block;
			visibility: visible;
			opacity: 1;
			height: 100%;
			padding: 10px;
		}
		
		.page-nav.toggle ctrl-link {
			/*display: block;*/
			visibility: visible;
			opacity: 1;
			height: 100%;
			padding: 10px;
		}
		
		.page-nav .ctrl-icon {
			position: absolute;
			top: 12px;
			left: 22px;
			z-index: 2;
			cursor: pointer;
			font-size: 18px;
		}
}

@media screen and (max-width: 768px) {
	.page-header {
		min-height: 100px;
		max-height: 100px;
	}
	
		.page-header .logo {
			height: 55px;
			
		}
	
	.wrapper {
		padding: 0 0 0 10px;
		box-sizing: border-box;
		-webkit-box-sizing: border-box;
	}
	
	.page-content {
		position: relative;
	}
	
	.content-wrapper {
		padding-right: 10px;
		border-right: 5px solid #fcce39;
	}
	.aside-open .content-wrapper {
		padding-right: 320px;
	}
	
	.sidebar {
		position: fixed;
		top: 144px;
		right: 0;	
		z-index:10;
		width: 290px;
		margin-right: -300px;
		background: #bebebe;
		padding: 0 10px 0 0;
		
		box-sizing: border-box;
		-webkit-box-sizing: border-box;
		
		max-height: -moz-calc(100vh - 146px);
		max-height: -webkit-calc(100vh - 146px);
		max-height: calc(100vh - 146px);
		overflow: auto;
	}
	
	.aside-open .sidebar {		
		margin-right: 0;
	}
	
		.sidebar ctrl-button {
			font-size: 25px;
			width: 30px;
			height: 30px;
			text-align: center;
			position: fixed;
			z-index:11;
			top: 144px;
			right: 0;
			display: block;
		}
		.aside-open .sidebar ctrl-button {right: 300px;}
		.aside-open .sidebar ctrl-button .ctrl-icon {-webkit-transform: rotate(180deg); transform: rotate(180deg); display: block;}
		.aside-open .sidebar ctrl-button /deep/ .ctrl-icon {-webkit-transform: rotate(180deg); transform: rotate(180deg); display: block;}
		
		/*state when the body is scrolled down*/
		.scroll-triggered .sidebar {
			top: 0;
			max-height: 100%;
		}
		.scroll-triggered .sidebar ctrl-button {
			top: 0;
		}
	
		
        .sidebar ctrl-button .ctrl-inner {
            padding: 0.1em;
        }

         .sidebar ctrl-button /deep/ .ctrl-inner {
            padding: 0.1em;
        }
		
		.sidebar .item-list {
			margin-left: 0;
			padding-left: 10px;
		}
		
}

@media screen and (max-width: 640px) {
	
}

@media screen and (max-width: 480px) {
	

	.content-wrapper {
		border-right: none;
	}
	
	.aside-open .content-wrapper {
		padding-right: 10px;
	}
	
	footer {
		margin-top: 10px;
	}
	
	
}